%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Test-Pod
%define modv   1.44
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A module to check for POD errors in Perl files
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/D/DW/DWHEELER/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        David E. Wheeler <david@justatheory.com>
Provides:      perl(Test::Pod) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.30
BuildRequires: perl(Pod::Simple) >= 3.05
BuildRequires: perl(Test::Builder::Tester) >= 1.02
BuildRequires: perl(Test::More) >= 0.62
BuildArch:     noarch


%description
Test::Pod lets you check the validity of a POD file, and report its results
in standard Test::Simple fashion.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Wed Nov 24 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.44-1
- New version (1.44)

* Thu Mar 19 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.26-1
- New version (1.26)

* Mon Apr 21 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.20-1
- Initial build
